# Cortex Socials

This module provides a [Cortex General Settings](https://gitlab.com/openupmedia/public/cortex-general-settings) plugin 
for storing the links to the client's social network profiles.

## Component

This module uses a 'Social link' component to render the link to the social network.
You can override the component in the website's theme.
[See: How do I override a component](https://www.drupal.org/docs/develop/theming-drupal/using-single-directory-components/frequently-asked-questions#s-how-do-i-override-a-component)


## Render the links

The variable array cortex_general_settings is globally available in your template files.
It contains keys for every enabled plugin, so in this case you can access the socials via
`cortex_general_settings.socials` in your twig file.

```twig
<footer class="footer grid-full" role="contentinfo">
  {{ page.footer_top }}
  {{ page.footer_bottom }}

  {{cortex_general_settings.socials}}
</footer>
```

